using System;

internal sealed class Delegate252 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate252 delegate252_1)
	{
		return delegate252_1();
	}

	public extern Delegate252(object object_0, IntPtr intptr_0);

	static Delegate252()
	{
		Class10.smethod_13(typeof(Delegate252).TypeHandle);
	}

	internal static Delegate252 delegate252_0;
}
